//Load Dojo, Dijit and DojoX components
dojo.require("dojo.data.ItemFileWriteStore");
dojo.require("dijit.dijit");
dojo.require("dijit.layout.BorderContainer");
dojo.require("dijit.layout.ContentPane");
dojo.require("dijit.MenuBar");
dojo.require("dijit.PopupMenuBarItem");
dojo.require("dijit.Menu");
dojo.require("dijit.MenuItem");
dojo.require("dijit.Tree");
dojo.require("dojox.grid.DataGrid");
dojo.require("dijit.Dialog");
dojo.require("dijit.form.Form");
dojo.require("dijit.form.ValidationTextBox");
dojo.require("dijit.form.TextBox");
dojo.require("dijit.form.FilteringSelect");
dojo.require("dijit.form.Button");
dojo.require("dijit.form.NumberTextBox");
dojo.require("dijit.form.DateTextBox");
dojo.require("dojo.data.ObjectStore");


dojo.addOnLoad(function() {
    var okDialogMsg = dojo.byId("okDialogMessage");


    // ----- PRODUCTOS -----------------------------------------------------------------------------

    dojo.connect(nuevoProductoForm, "onSubmit", null, doEditarProducto);

    //llama desde el menu princioal PRODUCTOS
    dojo.connect(mnuProductos, "onClick", null, function(e) {
        abmProductoDialog.show();
    });

    //llama desde el menu princial NUEVO PRODUCTO
    //dojo.connect(mnuNuevoProducto,"onClick", null,nuevoProducto);

    //Botones en la ventana de listado de producto (Dialogo)
    // nuevo producto
    dojo.connect(nuevoProductoButton, "onClick", null, nuevoProducto);
    // editar producto
    dojo.connect(editarProductoButton, "onClick", null, editarProducto);
    // cancelar producto
    dojo.connect(cerrarProductoButton, "onClick", null, function(e) {
        abmProductoDialog.hide();
    });
    dojo.connect(nuevoProductoCancel, "onClick", null, function(e) {
        nuevoProductoDialog.hide();
    });


    // NUEVO PRODUCTO
    function nuevoProducto() {
        var producto = productosGrid.selection.getSelected()[0];
        dojo.byId("nuevo_producto_real_id").value = "";
        dojo.byId("nuevo_producto_id").value = "[NEW]";

        dijit.byId("nuevo_producto_nombre").reset();
        dijit.byId("nuevo_producto_precio").reset();

        dijit.byId("nuevoProductoDialog").set("title", "Nuevo Producto");
        dijit.byId("nuevoProductoDialog").show();
    }

    // EDITAR PRODUCTO
    function editarProducto() {
        var producto = productosGrid.selection.getSelected()[0];
        dojo.byId("nuevo_producto_real_id").value = producto.id;
        dojo.byId("nuevo_producto_nombre").value = producto.nombre_producto;
        dojo.byId("nuevo_producto_precio").value = producto.precio;

        dijit.byId("nuevoProductoDialog").set("title", "Editar Producto");
        dijit.byId("nuevoProductoDialog").show();
    }


    function doEditarProducto(e) {
        e.preventDefault();
        e.stopPropagation();
        dojo.byId("nuevo_producto_ajax").value = "1";
        if (this.isValid()) {
            dojo.xhrPost({
                form: this.domNode,
                handleAs: "json",
                load: function(data) {
                    if (data.success) {
                        productosStore.close();
                        productosStore.fetch({
                            onComplete: function(items, request) {
                                productosGrid._refresh();
                            }
                        });

                        nuevoProductoDialog.hide();
                        /*	
                         var url = productosStore.url;
                         var newStore = new dojo.data.ItemFileReadStore({
                         url:url
                         });
                         
                         productosGrid.setStore(newStore);
                         
                         nuevoProductoDialog.hide();*/

                    }
                    else {
                        if (data.new_producto) {
                            okDialog.set("title", "Error agregando producto");
                        } else {
                            okDialog.set("title", "Error editando producto");
                        }
                        okDialogMsg.innerHTML = data.error;
                        okDialog.show();
                    }
                },
                error: function(error) {
                    okDialog.set("title", "Error editando producto");
                    okDialogMsg.innerHTML = error;
                    okDialog.show();
                }
            });
        }
    }


    // ----- CLIENTES ----------------------------------------------------------------------------

    dojo.connect(nuevoClienteForm, "onSubmit", null, doEditarCliente);

    dojo.connect(mnuClientes, "onClick", null, function(e) {
        abmClienteDialog.show();
    });

    //dojo.connect(mnuNuevoCliente,"onClick", null,nuevoCliente);

    //Botones en la ventana de listado de clliente (Dialogo)
    // nuevo cliente
    dojo.connect(nuevoClienteButton, "onClick", null, nuevoCliente);
    // editar cliente
    dojo.connect(editarClienteButton, "onClick", null, editarCliente);
    // cancelar cliente
    dojo.connect(cerrarClienteButton, "onClick", null, function(e) {
        abmClienteDialog.hide();
    });
    dojo.connect(nuevoClienteCancel, "onClick", null, function(e) {
        nuevoClienteDialog.hide();
    });


    //Filtro Grilla Cliente
    dojo.connect(txtBuscadorCliente, "onkeyup", null, function(e) {
        var txtBuscador = dojo.byId("txtBuscadorCliente");

        /* preparo el string de busqueda anexandole * para poder buscar un conjunto de caracteres en cualquier posicion */
        var stringBusqueda = '*' + txtBuscador.value + '*';
        clientesGrid.filter({
            apellidonombre: stringBusqueda
        });
    });

    // NUEVO CLIENTE
    function nuevoCliente() {
        var cliente = clientesGrid.selection.getSelected()[0];
        dojo.byId("nuevo_cliente_real_id").value = "";
        dojo.byId("nuevo_cliente_id").value = "[NEW]";

        dijit.byId("nuevo_cliente_nombre").reset();
        dijit.byId("nuevo_cliente_calle").reset();
        dijit.byId("nuevo_cliente_apellido").reset();
        dijit.byId("nuevo_cliente_dni").reset();
        dijit.byId("nuevo_cliente_localidad").reset();
        dijit.byId("nuevo_cliente_telefono").reset();
        dijit.byId("nuevo_cliente_mail").reset();

        dijit.byId("nuevoClienteDialog").set("title", "Nuevo Cliente");
        dijit.byId("nuevoClienteDialog").show();
    }

    // EDITAR CLIENTE
    function editarCliente() {
        var cliente = clientesGrid.selection.getSelected()[0];

        dojo.byId("nuevo_cliente_real_id").value = cliente.id;
        dojo.byId("nuevo_cliente_nombre").value = cliente.nombrecliente;
        dojo.byId("nuevo_cliente_calle").value = cliente.direccion;
        dojo.byId("nuevo_cliente_apellido").value = cliente.apellido;
        dojo.byId("nuevo_cliente_dni").value = cliente.dni;
        dijit.byId("nuevo_cliente_localidad").set("value", cliente.id_localidad);
        dojo.byId("nuevo_cliente_telefono").value = cliente.telefono;
        dojo.byId("nuevo_cliente_mail").value = cliente.email;

        dijit.byId("nuevoClienteDialog").set("title", "Editar Cliente");
        dijit.byId("nuevoClienteDialog").show();
    }


    //Proceso para editar una empresa existente en la base de datos o una nueva
    function doEditarCliente(e) {
        e.preventDefault();
        e.stopPropagation();
        dojo.byId("nuevo_cliente_ajax").value = "1";
        if (this.isValid()) {
            dojo.xhrPost({
                form: this.domNode,
                handleAs: "json",
                load: function(data) {
                    if (data.success) {
                        ClientesStore.close();
                        ClientesStore.fetch({
                            onComplete: function(items, request) {
                                clientesGrid._refresh();
                            }
                        });

                        nuevoClienteDialog.hide();

                        /*						var url = ClientesStore.url;
                         var newStore = new dojo.data.ItemFileReadStore({
                         url:url
                         });
                         
                         clientesGrid.setStore(newStore);
                         nuevoClienteDialog.hide();*/
                    }
                    else {
                        if (data.new_cliente) {
                            okDialog.set("title", "Error agregando cliente");
                        } else {
                            okDialog.set("title", "Error editando cliente");
                        }
                        okDialogMsg.innerHTML = data.error;
                        okDialog.show();
                    }
                },
                error: function(error) {
                    okDialog.set("title", "Error editando cliente");
                    okDialogMsg.innerHTML = error;
                    okDialog.show();
                }
            });
        }
    }


    // ----- MARCAS ----------------------------------------------------------------------------

    dojo.connect(nuevaMarcaForm, "onSubmit", null, doEditarMarca);

    dojo.connect(mnuMarcas, "onClick", null, function(e) {
        abmMarcaDialog.show();
    });

    //dojo.connect(mnuNuevaMarca,"onClick", null,nuevaMarca);

    dojo.connect(nuevaMarcaButton, "onClick", null, nuevaMarca);

    dojo.connect(editarMarcaButton, "onClick", null, editarMarca);

    dojo.connect(cerrarMarcaButton, "onClick", null, function(e) {
        abmMarcaDialog.hide();
    });

    dojo.connect(nuevaMarcaCancel, "onClick", null, function(e) {
        nuevaMarcaDialog.hide();
    });


    // NUEVA MARCA
    function nuevaMarca() {
        var marca = marcasGrid.selection.getSelected()[0];
        dojo.byId("nueva_marca_real_id").value = "";
        dojo.byId("nueva_marca_id").value = "[NEW]";

        dijit.byId("nueva_marca_nombre").reset();

        dijit.byId("nuevaMarcaDialog").set("title", "Nueva Marca");
        dijit.byId("nuevaMarcaDialog").show();
    }

    // EDITAR MARCA
    function editarMarca() {
        var marca = marcasGrid.selection.getSelected()[0];
        dojo.byId("nueva_marca_real_id").value = marca.id;
        dojo.byId("nueva_marca_nombre").value = marca.nombremarca;

        dijit.byId("nuevaMarcaDialog").set("title", "Editar Marca");
        dijit.byId("nuevaMarcaDialog").show();
    }


    function doEditarMarca(e) {
        e.preventDefault();
        e.stopPropagation();
        dojo.byId("nueva_marca_ajax").value = "1";
        if (this.isValid()) {
            dojo.xhrPost({
                form: this.domNode,
                handleAs: "json",
                load: function(data) {
                    if (data.success) {
                        marcasStore.close();
                        marcasStore.fetch({
                            onComplete: function(items, request) {
                                marcasGrid._refresh();
                            }
                        });

                        nuevaMarcaDialog.hide();

                        /*						var url = marcasStore.url;
                         var newStore = new dojo.data.ItemFileReadStore({
                         url:url
                         });
                         
                         marcasGrid.setStore(newStore);
                         nuevaMarcaDialog.hide();*/
                    }
                    else {
                        if (data.new_marca) {
                            okDialog.set("title", "Error agregando marca");
                        } else {
                            okDialog.set("title", "Error editando marca");
                        }
                        okDialogMsg.innerHTML = data.error;
                        okDialog.show();
                    }
                },
                error: function(error) {
                    okDialog.set("title", "Error editando marca");
                    okDialogMsg.innerHTML = error;
                    okDialog.show();
                }
            });
        }
    }


    // ----- MODELOS ----------------------------------------------------------------------------

    dojo.connect(nuevoModeloForm, "onSubmit", null, doEditarModelo);

    dojo.connect(mnuModelos, "onClick", null, function(e) {
        abmModeloDialog.show();
    });

    // dojo.connect(mnuNuevoModelo,"onClick", null,nuevoModelo);

    dojo.connect(nuevoModeloButton, "onClick", null, nuevoModelo);

    dojo.connect(editarModeloButton, "onClick", null, editarModelo);

    dojo.connect(cerrarModeloButton, "onClick", null, function(e) {
        abmModeloDialog.hide();
    });

    dojo.connect(nuevoModeloCancel, "onClick", null, function(e) {
        nuevoModeloDialog.hide();
    });


    // NUEVO MODELO
    function nuevoModelo() {
        var modelo = modelosGrid.selection.getSelected()[0];
        dojo.byId("nuevo_modelo_real_id").value = "";
        dojo.byId("nuevo_modelo_id").value = "[NEW]";

        dijit.byId("nuevo_modelo_nombre").reset();
        dijit.byId("nuevo_modelo_marca").reset();

        dijit.byId("nuevoModeloDialog").set("title", "Nuevo Modelo");
        dijit.byId("nuevoModeloDialog").show();
    }

    // EDITAR MODELO
    function editarModelo() {
        var modelo = modelosGrid.selection.getSelected()[0];
        dojo.byId("nuevo_modelo_real_id").value = modelo.id;
        dojo.byId("nuevo_modelo_nombre").value = modelo.nombremodelo;
        dijit.byId("nuevo_modelo_marca").set("value", modelo.idmarca);

        dijit.byId("nuevoModeloDialog").set("title", "Editar Modelo");
        dijit.byId("nuevoModeloDialog").show();
    }


    function doEditarModelo(e) {
        e.preventDefault();
        e.stopPropagation();
        dojo.byId("nuevo_modelo_ajax").value = "1";
        if (this.isValid()) {
            dojo.xhrPost({
                form: this.domNode,
                handleAs: "json",
                load: function(data) {
                    if (data.success) {
                        modelosStore.close();
                        modelosStore.fetch({
                            onComplete: function(items, request) {
                                modelosGrid._refresh();
                            }
                        });

                        nuevoModeloDialog.hide();

                        /*						var url = modelosStore.url;
                         var newStore = new dojo.data.ItemFileReadStore({
                         url:url
                         });
                         
                         modelosGrid.setStore(newStore);
                         nuevoModeloDialog.hide();*/
                    }
                    else {
                        if (data.new_modelo) {
                            okDialog.set("title", "Error agregando modelo");
                        } else {
                            okDialog.set("title", "Error editando modelo");
                        }
                        okDialogMsg.innerHTML = data.error;
                        okDialog.show();
                    }
                },
                error: function(error) {
                    okDialog.set("title", "Error editando modelo");
                    okDialogMsg.innerHTML = error;
                    okDialog.show();
                }
            });
        }
    }


    // ----- VENTAS ----------------------------------------------------------------------------

    dojo.connect(nuevaVentaForm, "onSubmit", null, doEditarVenta);

    dojo.connect(mnuVentas, "onClick", null, function(e) {
        abmVentaDialog.show();
    });

    dojo.connect(nuevaVentaButton, "onClick", null, nuevaVenta);

    dojo.connect(editarVentaButton, "onClick", null, venta);

    dojo.connect(cerrarVentaButton, "onClick", null, function(e) {
        abmVentaDialog.hide();
    });

    dojo.connect(nuevaVentaCancel, "onClick", null, function(e) {
        nuevaVentaDialog.hide();
    });

    dojo.connect(VentaCancel, "onClick", null, function(e) {
        ventaDialog.hide();
    });


    // NUEVA VENTA
    function nuevaVenta() {
        detalleVentaGrilla.startup();
        nuevaVentaDialog.show();

        var venta = ventasGrid.selection.getSelected()[0];
        dojo.byId("nueva_venta_real_id").value = "";
        dojo.byId("nueva_venta_id").value = "[NEW]";

        dijit.byId("nueva_venta_fecha").reset();
        dijit.byId("nueva_venta_monto").reset();
        dijit.byId("nueva_venta_cliente").reset();
        dijit.byId("nueva_venta_producto").reset();
        dijit.byId("nueva_venta_cantidad").reset();
        var detalleVenta = dojo.byId("nueva_venta_detalle");
        detalleVenta.value = "";
        datosDetalleVentas = [];
        detalleVentaStore = new dojo.data.ObjectStore({
            objectStore: new dojo.store.Memory({
                data: datosDetalleVentas
            })
        });
        detalleVentaGrilla.setStore(detalleVentaStore);

        dijit.byId("nuevaVentaDialog").set("title", "Nueva Venta");
        dijit.byId("nuevaVentaDialog").show();

    }

    // VER VENTA
    function venta() {
        var venta = ventasGrid.selection.getSelected()[0];

        var xhrArgs = {
            url: "data/venta.php?idVenta=" + venta.id,
            handleAs: "json",
            load: function(data) {
                dojo.byId("venta_fecha").innerHTML = data.fecha_venta;

                dojo.byId("venta_cliente").innerHTML = data.apellido_cliente + ", " + data.nombre_cliente;
                dojo.byId("venta_monto").innerHTML = data.montototal_venta;

                detalleVentaStore = new dojo.data.ObjectStore({
                    objectStore: new dojo.store.Memory({
                        data: data.detalles.items
                    })
                });

                grillaVenta.setStore(detalleVentaStore);

                dijit.byId("ventaDialog").set("title", "Venta");
                dijit.byId("ventaDialog").show();
            }
        }

        var deferred = dojo.xhrGet(xhrArgs);

    }

    //Grilla Detalle de Venta
    var detalleVentaStore = new dojo.data.ObjectStore({
        objectStore: new dojo.store.Memory({
            data: []
        })
    });
    var grillaVenta = new dojox.grid.DataGrid({
        store: detalleVentaStore,
        query: {
            idProducto: "*"
        },
        noDataMessage: "<span class='dojoxGridNoData'>No hay productos para esta venta</span>",
        columnReordering: false,
        clientSort: false,
        jsid: "grillaVenta",
        selectionMode: "single",
        structure: [
            {
                defaultCell: {
                },
                cells: [
                    {
                        name: "Cant",
                        field: "cantidad",
                        width: '8%',
                        styles: "text-align: center;"
                    },
                    {
                        name: "Descripción",
                        field: "nombre_producto",
                        width: '75%'
                    }
                    ,
                    {
                        name: "Precio Unitario",
                        field: "precio",
                        styles: "text-align: center;"
                    }
                    ,
                    {
                        name: "Importe",
                        field: "totallinea",
                        styles: "text-align: center;",
                        width: '20%'
                    }

                ]
            }
        ]
    }, "grillaVenta");

    grillaVenta.canSort = function() {
        return false;
    };
    grillaVenta.startup();


    function doEditarVenta(e) {
        e.preventDefault();
        e.stopPropagation();
        dojo.byId("nueva_venta_ajax").value = "1";
        if (this.isValid()) {
            dojo.xhrPost({
                form: this.domNode,
                handleAs: "json",
                load: function(data) {
                    if (data.success) {
                        if (data.new_venta) {
                            okDialog.set("title", "Venta Agregar");
                            okDialogMsg.innerHTML = "La Venta fue agregado correctamente.";
                        } else {
                            okDialog.set("title", "Venta Editar");
                            okDialogMsg.innerHTML = "La Venta fue editado correctamente.";
                        }

                        ventasStore.close();
                        ventasStore.fetch({
                            onComplete: function(items, request) {
                                ventasGrid._refresh();
                            }
                        });

                        nuevaVentaDialog.hide();
                        okDialog.show();
                    }
                    else {
                        if (data.new_venta) {
                            okDialog.set("title", "Error agregando venta");
                        } else {
                            okDialog.set("title", "Error editando venta");
                        }
                        okDialogMsg.innerHTML = data.error;
                        okDialog.show();
                    }
                },
                error: function(error) {
                    okDialog.set("title", "Error editando venta");
                    okDialogMsg.innerHTML = error;
                    okDialog.show();
                }
            });
        }
    }

    //Grilla Detalle de Venta
    var datosDetalleVentas = [];
    var detalleVentaStore = new dojo.data.ObjectStore({
        objectStore: new dojo.store.Memory({
            data: datosDetalleVentas
        })
    });



    detalleVentaGrilla = new dojox.grid.DataGrid({
        store: detalleVentaStore,
        query: {
            idProducto: "*"
        },
        noDataMessage: "<span class='dojoxGridNoData'>No hay productos para esta venta</span>",
        columnReordering: false,
        clientSort: false,
        jsid: "detalleVentaGrilla",
        selectionMode: "single",
        structure: [
            {
                defaultCell: {
                },
                cells: [
                    {
                        name: "Cant",
                        field: "cantidad",
                        width: '8%',
                        styles: "text-align: center;"
                    },
                    {
                        name: "Descripción",
                        field: "nombre_producto",
                        width: '75%'
                    }
                    ,
                    {
                        name: "Precio Unitario",
                        field: "precio",
                        styles: "text-align: center;"
                    }
                    ,
                    {
                        name: "Importe",
                        field: "totalLinea",
                        styles: "text-align: center;",
                        width: '20%'
                    },
                    {
                        name: "Acción",
                        field: "",
                        formatter: function() {
                            return new dijit.form.Button({
                                label: "Borrar",
                                showLabel: true,
                                onClick: function(item, a) {
                                    var items = detalleVentaGrilla.selection.getSelected();
                                    if (items.length) {
                                        dojo.forEach(items, function(selectedItem) {

                                            if (selectedItem !== null) {
                                                detalleVentaStore.deleteItem(selectedItem);
                                                var aux = selectedItem.idProducto + '-' + selectedItem.cantidad + '-' + selectedItem.precio + ';';
                                                var detalleVenta = dojo.byId("nueva_venta_detalle");
                                                detalleVenta.value = detalleVenta.value.replace(aux, "");
                                                dojo.byId("nueva_venta_monto").value = calcularTotalVenta(detalleVenta.value);
                                            }
                                        });

                                    }
                                }

                            });
                        }
                        ,
                        styles: "text-align: center;",
                        width: '20%'
                    }
                ]
            }
        ]
    }, "detalleVentaGrilla");

    detalleVentaGrilla.canSort = function() {
        return false
    };


    //boton de agregar filas en la grilla ventas
    var boton = new dijit.form.Button({
        label: "Agregar",
        showLabel: true,
        onClick: function() {

            var productoSeleccionado = productosStore._getItemByIdentity(dijit.byId("nueva_venta_producto").value);
            var detalleVenta = dojo.byId("nueva_venta_detalle");

            var myNewItem = {
                idProducto: dijit.byId("nueva_venta_producto").value,
                cantidad: dojo.byId("nueva_venta_cantidad").value,
                precio: productoSeleccionado.precio,
                nombre_producto: dojo.byId("nueva_venta_producto").value,
                totalLinea: productoSeleccionado.precio * dojo.byId("nueva_venta_cantidad").value
            };

            detalleVenta.value = detalleVenta.value + myNewItem.idProducto + '-' + myNewItem.cantidad + '-' + myNewItem.precio + ';';
            dojo.byId("nueva_venta_monto").value = calcularTotalVenta(detalleVenta.value);
            detalleVentaStore.newItem(myNewItem);

        }
    }, "botonAgregar");


    function calcularTotalVenta(str) {
        var items = str.split(";");
        var total = 0;
        for (i = 0; i < items.length - 1; i++) {
            var detalleItem = items[i].split("-");
            total = total + (detalleItem[1] * detalleItem[2]);
        }
        return total;
    }



    // ----- PAGOS ----------------------------------------------------------------------------

    dojo.connect(nuevoPagoForm, "onSubmit", null, doEditarPago);

    dojo.connect(mnuNuevoPago, "onClick", null, function(e) {
        nuevoPagoDialog.show();
    });

    dojo.connect(nuevoPagoDialog, "onShow", null, function(e) {
        dijit.byId("nuevo_pago_fecha").reset();
        dijit.byId("nuevo_pago_cliente").reset();
        dojo.byId("nuevo_pago_deuda").innerHTML = "0.00";
        dijit.byId("nuevo_pago_pago").reset();
        dijit.byId("nuevo_descripcion_pago").reset();
        datosDetallePagos = [];
        detallePagoStore = new dojo.data.ObjectStore({
            objectStore: new dojo.store.Memory({
                data: datosDetallePagos
            })
        });
        detallePagoGrilla.setStore(detallePagoStore);
    });

    dojo.connect(nuevoPagoCancel, "onClick", null, function(e) {
        nuevoPagoDialog.hide();
    });

    function limpiarCamposPago() {
        dijit.byId("nuevo_pago_fecha").reset();
        dojo.byId("nuevo_pago_deuda").innerHTML = "0.00";
        dijit.byId("nuevo_pago_pago").reset();
        dijit.byId("nuevo_descripcion_pago").reset();
    }

    function doEditarPago(e) {
        e.preventDefault();
        e.stopPropagation();
        dojo.byId("nuevo_pago_ajax").value = "1";
        if (this.isValid()) {
            dojo.xhrPost({
                form: this.domNode,
                handleAs: "json",
                load: function(data) {
                    if (data.success) {
                        if (data.new_pago) {
                            okDialog.set("title", "Pago Agregar");
                            okDialogMsg.innerHTML = "El Pago fue agregado correctamente.";
                            cargarGrillaPagos(dijit.byId("nuevo_pago_cliente").value);
                            limpiarCamposPago();
                        } else {
                            okDialog.set("title", "Pago Editar");
                            okDialogMsg.innerHTML = "El Pago fue editado correctamente.";
                        }

                        //nuevoPagoDialog.hide();
                        okDialog.show();
                    }
                    else {
                        if (data.new_pago) {
                            okDialog.set("title", "Error agregando pago");
                        } else {
                            okDialog.set("title", "Error editando pago");
                        }
                        okDialogMsg.innerHTML = data.error;
                        okDialog.show();
                    }
                },
                error: function(error) {
                    okDialog.set("title", "Error editando pago");
                    okDialogMsg.innerHTML = error;
                    okDialog.show();
                }
            });
        }
    }


    //Grilla Detalle de PAGO
    var datosDetallePagos = [];
    var detallePagoStore = new dojo.data.ObjectStore({
        objectStore: new dojo.store.Memory({
            data: datosDetallePagos
        })
    });

    //Layout grilla pagos
    var layoutGrillaPagos = [[
            {
                name: "Fecha",
                field: "fecha",
                width: '15%',
                cellStyles: "text-align: center;",
                styles: "text-align: center;"
            },
            {
                'name': 'Descripci&oacute;n',
                'field': 'descrip',
                'width': '300px',
                cellStyles: "text-align: left;",
                styles: "text-align: center;"
            },
            /* {
             name: "idVenta",
             field: "id_venta",
             styles: "text-align: center;",
             width: '6%'
             },*/

            {
                'name': 'Debe',
                'field': 'debe',
                'width': '100px',
                cellStyles: "text-align: right;",
                styles: "text-align: center;"
            },
            {
                'name': 'Haber',
                'field': 'haber',
                'width': '100px',
                cellStyles: "text-align: right;",
                styles: "text-align: center;"
            },
            {
                'name': 'Saldo',
                'field': 'saldo',
                'width': '100px',
                cellStyles: "text-align: right;",
                styles: "text-align: center;"
            }
        ]];

    detallePagoGrilla = new dojox.grid.DataGrid({
        store: detallePagoStore,
        noDataMessage: "<span class='dojoxGridNoData'>No hay datos </span>",
        columnReordering: false,
        clientSort: false,
        jsid: "detallePagoGrilla",
        selectionMode: "single",
        structure: layoutGrillaPagos
    }, "detallePagoGrilla");

    var filteringSelect = new dijit.form.FilteringSelect({
        id: "nuevo_pago_cliente",
        name: "nuevo_pago_cliente",
        store: ClientesStore,
        searchAttr: "apellidonombre",
        onChange: function(state) {
            cargarGrillaPagos(this.item.id);
        }
    }, "filtroCliente");


    function cargarGrillaPagos(idCliente) {
        var cliente_id = idCliente;
        var newURL = "data/pagos.php?cliente_id=" + cliente_id;
        var newStore = new dojo.data.ItemFileReadStore({
            url: newURL
        });
        var grillaPagos = dijit.byId("detallePagoGrilla");
        newStore.fetch();
        grillaPagos.setStore(newStore);
        newStore.fetchItemByIdentity({
            identity: "ultimo",
            onItem: gotItem
        });

        function gotItem(item) {
            if (newStore.isItem(item)) {
                if (!(newStore.getValue(item, "id") === "ultimo")) {
                    new Error("The item loaded does not have the attribute value for attribute [name] expected.");
                    dojo.byId("nuevo_pago_deuda").innerHTML = "ERROR";
                } else {
                    dojo.byId("nuevo_pago_deuda").innerHTML = item.saldo;
                }
            } else {
                console.log("Unable to locate the item with identity [ultimo]");
            }
        }
    }
    detallePagoGrilla.canSort = function() {
        return false
    };

    detallePagoGrilla.startup();


    // ----- GLOBALES ----------------------------------------------------------------------------

    dojo.connect(okDialogOK, "onClick", null, function(e) {
        dijit.byId("okDialog").hide();
    });

    dojo.connect(mnuSalir, "onClick", null, function(e) {
        window.location = "logout.php";
    });

    hora();

    function hora() {
        setInterval(function() {
            var today = new Date();
            var spanFecha = dojo.byId('campoFecha');
            var dd = today.getDate();
            var mm = today.getMonth() + 1;//January is 0! 
            var yyyy = today.getFullYear();
            var hora = today.getHours();
            var min = today.getMinutes();
            var seg = today.getSeconds();
            if (dd < 10) {
                dd = '0' + dd
            }
            if (mm < 10) {
                mm = '0' + mm
            }
            if (hora < 10) {
                hora = '0' + hora
            }

            if (min < 10) {
                min = '0' + min
            }
            if (seg < 10) {
                seg = '0' + seg
            }
            spanFecha.innerHTML = '' + dd + '/' + mm + '/' + yyyy + ' ' + hora + ':' + min + ':' + seg;
        }, 1000); // every second
    }


    function soloNumeros(e) {
        if (e.charOrCode >= 0 && e.charOrCode <= 9) {
            //return true;
        } else {
            dojo.stopEvent(e);
        }
    }



});
